Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
Class IvyDomainSpecificLanguageEvaluator

    java.lang.Object
      org.codehaus.groovy.grails.resolve.IvyDomainSpecificLanguageEvaluator

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class IvyDomainSpecificLanguageEvaluator

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`IvyDomainSpecificLanguageEvaluator(IvyDependencyManager delegate)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`void` | `credentials(groovy.lang.Closure c)`
`void` | `dependencies(groovy.lang.Closure deps)`
`void` | `ebr()`
`void` | `excludes(String[] excludes)`
`void` | `flatDir(Map args)`
`IvyDependencyManager` | `getDelegate()`
`boolean` | `getInherited()`
`groovy.lang.MetaClass` | `getMetaClass()`
`String` | `getPlugin()`
`Object` | `getProperty(String property)`
`static String` | `getWILDCARD()`
`void` | `grailsHome()`
`void` | `grailsPlugins()`
`void` | `inherits(String name)`
`void` | `inherits(String name, groovy.lang.Closure configurer)`
`Object` | `invokeMethod(String name, Object args)`
`boolean` | `isExcluded(Object name)`
`boolean` | `isInherited()`
`void` | `log(String level)`
`void` | `mavenCentral()`
`void` | `mavenLocal()`
`void` | `mavenLocal(String repoPath)`
`void` | `mavenRepo(Map args)`
`void` | `mavenRepo(String url)`
`void` | `plugin(String name, groovy.lang.Closure callable)`
`void` | `pom(boolean b)`
`void` | `repositories(groovy.lang.Closure repos)`
`void` | `resolver(org.apache.ivy.plugins.resolver.DependencyResolver resolver)`
`void` | `resolvers(groovy.lang.Closure resolvers)`
`void` | `setDelegate(IvyDependencyManager value)`
`void` | `setInherited(boolean value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setPlugin(String value)`
`void` | `setProperty(String property, Object value)`
`void` | `useOrigin(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyDomainSpecificLanguageEvaluator

    public IvyDomainSpecificLanguageEvaluator(IvyDependencyManager delegate)

Method Detail

### getWILDCARD

    public static String getWILDCARD()

### getInherited

    public boolean getInherited()

### isInherited

    public boolean isInherited()

### setInherited

    public void setInherited(boolean value)

### getPlugin

    public String getPlugin()

### setPlugin

    public void setPlugin(String value)

### getDelegate

    public IvyDependencyManager getDelegate()

### setDelegate

    public void setDelegate(IvyDependencyManager value)

### useOrigin

    public void useOrigin(boolean b)

### credentials

    public void credentials(groovy.lang.Closure c)

### pom

    public void pom(boolean b)

### excludes

    public void excludes(String[] excludes)

### inherits

    public void inherits(String name,
                         groovy.lang.Closure configurer)

### inherits

    public void inherits(String name)

### plugin

    public void plugin(String name,
                       groovy.lang.Closure callable)

### log

    public void log(String level)

### resolvers

    public void resolvers(groovy.lang.Closure resolvers)

### repositories

    public void repositories(groovy.lang.Closure repos)

### flatDir

    public void flatDir(Map args)

### grailsPlugins

    public void grailsPlugins()

### grailsHome

    public void grailsHome()

### mavenRepo

    public void mavenRepo(String url)

### mavenRepo

    public void mavenRepo(Map args)

### resolver

    public void resolver(org.apache.ivy.plugins.resolver.DependencyResolver resolver)

### ebr

    public void ebr()

### mavenCentral

    public void mavenCentral()

### mavenLocal

    public void mavenLocal(String repoPath)

### dependencies

    public void dependencies(groovy.lang.Closure deps)

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### isExcluded

    public boolean isExcluded(Object name)

### mavenLocal

    public void mavenLocal()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project